# encoding: utf-8

# ------------------------------------------------------------------------------
# Copyright (c) 2006 Novell, Inc. All Rights Reserved.
#
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	include/lxc/helps.ycp
# Package:	Configuration of lxc
# Summary:	Help texts of all the dialogs
# Authors:	Jiri Suchomel <jsuchome@suse.cz>
#
# $Id$
module Yast
  module LxcHelpsInclude
    def initialize_lxc_helps(include_target)
      textdomain "lxc"

      # All helps are here
      @HELPS = {
        # Read dialog help
        "read"     => _(
          "<p><b><big>Initializing LXC Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ),
        # Overview dialog help, part 1
        "overview" => _(
          "<p><b><big>LXC Overview</big></b><br>\n" +
            "Here, see the list of configured Linux Containers (LXC) with their current status.\n" +
            "<p>Use <b>Create</b> to create new container. Delete existing one with <b>Destroy</b>.\n" +
            "</p>"
        ) +
          # Overview dialog help, part 2
          _(
            "<p>You can start selected container with <b>Start</b>. The container is started in background. You can connect to it using <b>Connect</b> button or manually using <tt>lxc-console</tt> command. Once in console, you can close it from within or using the <b>Disconnect</b> button.</p>\n<p>Note that <b>Connect</b> option is not available in text mode.</p>"
          ),
        # Create dialog help, part 1
        "create"   => _(
          "<p><b><big>Creating New Container</big></b></p>"
        ) +
          # Create dialog help, part 2
          _(
            "<p>Choose a <b>Name</b> for your container, select a base <b>Template</b>, and enter desired network settings.</p>"
          ) +
          # Create dialog help, part 3
          _(
            "<p>Use the value <tt>0.0.0.0</tt> as <b>IP Address</b> to have dynamic address assigned by DHCP. If there's no bridge device configured yet, use the <b>Configure Network</b> button and create one.</p>"
          ) +
          # Create dialog help, part 4
          _(
            "<p>Select a password to use for a system administrator ('root') in the container. If no password is entered, the default value <tt>root</tt> will be used.</p>"
          ) +
          # Create dialog help, part 5
          _("<p>Use <b>Create</b> to start the creation process.</p>")
      } 

      # EOF
    end
  end
end
